AstrologyAPI

Use access token to call astrology api.

Learn More

Kp Birth Chart

POSThttps://json.astrologyapi.com/v1/kp_birth_chart
Copy

POST/kp_birth_chart
Copy
1curl --location 'https://json.astrologyapi.com/v1/kp_birth_chart' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1[
2  {
3    "signs": [
4      12,
5      1
6    ],
7    "planets": [],
8    "planets_small": [],
9    "planet_signs": []
10  },
11  {
12    "signs": [
13      1,
14      2
15    ],
16    "planets": [
17      "Mars"
18    ],
19    "planets_small": [
20      "Ma "
21    ],
22    "planet_signs": [
23      2
24    ]
25  },
26  {
27    "signs": [
28      2,
29      3
30    ],
31    "planets": [
32      "Ketu"
33    ],
34    "planets_small": [
35      "Ke "
36    ],
37    "planet_signs": [
38      3
39    ]
40  },
41  {
42    "signs": [
43      3,
44      4
45    ],
46    "planets": [],
47    "planets_small": [],
48    "planet_signs": []
49  },
50  {
51    "signs": [
52      4,
53      5
54    ],
55    "planets": [
56      "Sun",
57      "Mercury"
58    ],
59    "planets_small": [
60      "Su ",
61      "Me "
62    ],
63    "planet_signs": [
64      4,
65      4
66    ]
67  },
68  {
69    "signs": [
70      5,
71      6
72    ],
73    "planets": [
74      "Jupiter",
75      "Venus"
76    ],
77    "planets_small": [
78      "Ju ",
79      "Ve "
80    ],
81    "planet_signs": [
82      5,
83      5
84    ]
85  },
86  {
87    "signs": [
88      6,
89      7
90    ],
91    "planets": [],
92    "planets_small": [],
93    "planet_signs": []
94  },
95  {
96    "signs": [
97      7,
98      8
99    ],
100    "planets": [],
101    "planets_small": [],
102    "planet_signs": []
103  },
104  {
105    "signs": [
106      8,
107      9
108    ],
109    "planets": [
110      "Rahu"
111    ],
112    "planets_small": [
113      "Ra "
114    ],
115    "planet_signs": [
116      9
117    ]
118  },
119  {
120    "signs": [
121      9,
122      10
123    ],
124    "planets": [],
125    "planets_small": [],
126    "planet_signs": []
127  },
128  {
129    "signs": [
130      10,
131      11
132    ],
133    "planets": [
134      "Moon",
135      "Saturn"
136    ],
137    "planets_small": [
138      "Mo ",
139      "Sa "
140    ],
141    "planet_signs": [
142      11,
143      10
144    ]
145  },
146  {
147    "signs": [
148      11,
149      12
150    ],
151    "planets": [],
152    "planets_small": [],
153    "planet_signs": []
154  }
155]

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.